Genealogy
List recorded placements for company access
Company admin tier and members.view (or users.view) permission are required. Droplet tokens are not supported. Returns only recorded relationships; historical rank, volume and profile values are not inferred. Reads use the primary database. The example uses illustrative fixture IDs. Substitute records visible to your authenticated company or member.
GET
/
api
/
company
/
v2026-10
/
genealogy
/
nodes
/
{id}
/
placements
List recorded placements for company access
curl -X GET 'https://api.fluid.app/api/company/v2026-10/genealogy/nodes/01a08944-f0a6-7977-9ea8-6a9d8245340f/placements?limit=1' \
-H 'Authorization: Bearer <company-token>'import requests
url = "https://api.fluid.app/api/company/v2026-10/genealogy/nodes/{id}/placements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/v2026-10/genealogy/nodes/{id}/placements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"placements": [
{
"id": "01a08944-f0b2-7178-a6e3-5e5a7eb507da",
"actor_id": "c29f580e-15c2-5fe1-afd2-398a3340e5e0",
"actor_type": "Company::Admin",
"effective_at": "2026-09-10T03:03:12.000000Z",
"ended_at": null,
"leg": null,
"member_id": "d96dec6b-07b3-5c76-bf43-5d9fedf54914",
"node_id": "01a08944-f0a6-7977-9ea8-6a9d8245340f",
"parent_node_id": "01a08944-f0a2-765d-9694-357fa81bc7be",
"reason": "Correction",
"request_id": null,
"source": "admin",
"tree_id": "7096ad49-7117-53f6-8f7f-4805473d14c5"
}
],
"status": 200,
"meta": {
"request_uuid": null,
"timestamp": "2026-09-10T03:03:12Z",
"pagination": {
"cursor": null,
"limit": 1,
"prev_cursor": null,
"next_cursor": "eyJmIjp7ImdlbmVhbG9neV9wbGFjZW1lbnRfaGlzdG9yaWVzLmVmZmVjdGl2ZV9hdCI6IjIwMjYtMDktMTBUMDM6MDM6MTIuMDAwMDAwWiIsImdlbmVhbG9neV9wbGFjZW1lbnRfaGlzdG9yaWVzLmlkIjoiMDFhMDg5NDQtZjBiMi03MTc4LWE2ZTMtNWU1YTdlYjUwN2RhIn0sImQiOiJuZXh0IiwiYyI6MTc4OTAwOTM5MiwiY3MiOiI4NDY1NjFhNmNkZDg1OTM0MDI1ZDZhODBmNjA0NTg3MSIsIm9zIjoiMTBhZDcyNTI4ZmFlYTNjNzYxNzVmZmVjMzM1YzdlODQiLCJxcyI6IjVkZWZiYjM0MzVhYWU1MzIxNmU1ZDhjZmY0ODM2NDk4In0="
}
}
}{
"message": "<string>",
"error": "<unknown>"
}{
"message": "<string>",
"error": "<unknown>"
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Company admin or company service token, subject to developer permissions.
Path Parameters
Node identifier in the authenticated company.
Query Parameters
Maximum rows in one newest-first page.
Required range:
1 <= x <= 100Opaque cursor returned by a previous history page.
Minimum string length:
1⌘I
List recorded placements for company access
curl -X GET 'https://api.fluid.app/api/company/v2026-10/genealogy/nodes/01a08944-f0a6-7977-9ea8-6a9d8245340f/placements?limit=1' \
-H 'Authorization: Bearer <company-token>'import requests
url = "https://api.fluid.app/api/company/v2026-10/genealogy/nodes/{id}/placements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/v2026-10/genealogy/nodes/{id}/placements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"placements": [
{
"id": "01a08944-f0b2-7178-a6e3-5e5a7eb507da",
"actor_id": "c29f580e-15c2-5fe1-afd2-398a3340e5e0",
"actor_type": "Company::Admin",
"effective_at": "2026-09-10T03:03:12.000000Z",
"ended_at": null,
"leg": null,
"member_id": "d96dec6b-07b3-5c76-bf43-5d9fedf54914",
"node_id": "01a08944-f0a6-7977-9ea8-6a9d8245340f",
"parent_node_id": "01a08944-f0a2-765d-9694-357fa81bc7be",
"reason": "Correction",
"request_id": null,
"source": "admin",
"tree_id": "7096ad49-7117-53f6-8f7f-4805473d14c5"
}
],
"status": 200,
"meta": {
"request_uuid": null,
"timestamp": "2026-09-10T03:03:12Z",
"pagination": {
"cursor": null,
"limit": 1,
"prev_cursor": null,
"next_cursor": "eyJmIjp7ImdlbmVhbG9neV9wbGFjZW1lbnRfaGlzdG9yaWVzLmVmZmVjdGl2ZV9hdCI6IjIwMjYtMDktMTBUMDM6MDM6MTIuMDAwMDAwWiIsImdlbmVhbG9neV9wbGFjZW1lbnRfaGlzdG9yaWVzLmlkIjoiMDFhMDg5NDQtZjBiMi03MTc4LWE2ZTMtNWU1YTdlYjUwN2RhIn0sImQiOiJuZXh0IiwiYyI6MTc4OTAwOTM5MiwiY3MiOiI4NDY1NjFhNmNkZDg1OTM0MDI1ZDZhODBmNjA0NTg3MSIsIm9zIjoiMTBhZDcyNTI4ZmFlYTNjNzYxNzVmZmVjMzM1YzdlODQiLCJxcyI6IjVkZWZiYjM0MzVhYWU1MzIxNmU1ZDhjZmY0ODM2NDk4In0="
}
}
}{
"message": "<string>",
"error": "<unknown>"
}{
"message": "<string>",
"error": "<unknown>"
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}